Name:           libHX
Version:        3.22
Release:    1%{?dist}
Summary:        Useful collection of routines for C and C++ programming

License:        LGPLv2 or LGPLv3
URL:            http://sourceforge.net/projects/libhx/
Source0:        http://downloads.sourceforge.net/libhx/libHX-%{version}.tar.xz
Source1:        http://downloads.sourceforge.net/libhx/libHX-%{version}.tar.asc
Source2:        gpgkey-B56B8B9D9915AA8796EDC013DFFF2CDB19FC338D.gpg

BuildRequires:  perl-interpreter gcc-c++
BuildRequires:  gpg xz
BuildRequires: make


%description
libHX is a C library (with some C++ bindings available) that provides data
structures and functions commonly needed, such as maps, deques, linked lists,
string formatting and autoresizing, option and config file parsing, type
checking casts and more.

libHX aids in quickly writing up C and C++ data processing programs, by
consolidating tasks that often happen to be open-coded, such as (simple) config
file reading, option parsing, directory traversal, and others, into a library.
The focus is on reducing the amount of time (and secondarily, the amount of
code) a developer has to spend for otherwise implementing such.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
xzcat %{SOURCE0} | gpgv --quiet --keyring %{SOURCE2} %{SOURCE1} -
%setup -q


%build
%configure --disable-static --disable-silent-rules  \
  --with-pkgconfigdir=%{_libdir}/pkgconfig \
  --docdir=%{_pkgdocdir}
make %{?_smp_mflags}


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

install -m 644 README.txt \
  doc/api.txt \
  doc/assorted.txt \
  doc/changelog.txt \
  doc/ux-*.txt \
  %{buildroot}%{_pkgdocdir}




%files
%license LICENSE.LGPL2 LICENSE.LGPL3 LICENSE.GPL3
%{_libdir}/libHX_rtcheck.so
%{_libdir}/libHX.so.28
%{_libdir}/libHX.so.28.3.0


%files devel
%{_pkgdocdir}

%dir %{_includedir}/libHX
%{_includedir}/libHX.h
%{_includedir}/libHX/ctype_helper.h
%{_includedir}/libHX/defs.h
%{_includedir}/libHX/deque.h
%{_includedir}/libHX/init.h
%{_includedir}/libHX/io.h
%{_includedir}/libHX/libxml_helper.h
%{_includedir}/libHX/list.h
%{_includedir}/libHX/map.h
%{_includedir}/libHX/misc.h
%{_includedir}/libHX/option.h
%{_includedir}/libHX/proc.h
%{_includedir}/libHX/string.h
%{_includedir}/libHX/wx_helper.hpp
%{_libdir}/libHX.so
%{_libdir}/pkgconfig/libHX.pc


%changelog
* Tue Aug 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.22-1
- initial build
